## xfonts-traditional 1.4

=== debian/changelog ===
xfonts-traditional (1.4) unstable; urgency=low

  * Add missing dependency on libsys-cpu-perl.  Closes: #657438.
  * Retrospectively correct bug numbers in changelog entry for 1.3.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 26 Jan 2012 11:44:44 +0000

xfonts-traditional (1.3) unstable; urgency=low

  * Tolerate fonts which make pcf2bdf crash (by default).  Closes: #657276.
  * Process multiple fonts in parallel.
  * General improvements to handling of errors and unprocessed fonts.
  * Fix typo in short Description.  Closes: #657285.
  * New --always-reprocess option to update-xfonts-traditional.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 25 Jan 2012 23:22:45 +0000

xfonts-traditional (1.2) unstable; urgency=low

  * Improvements including several from Mark Wooding.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 11 Jan 2012 23:59:03 +0000

xfonts-traditional (1.1) unstable; urgency=low

  * Improvements for beta test.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 10 Jan 2012 02:16:59 +0000

xfonts-traditional (1.0) unstable; urgency=low

  * Initial release.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 08 Jan 2012 16:51:02 +0000

## xfonts-traditional 1.6

=== Makefile ===
SHELL=/bin/bash

prefix?=/usr/local

package=xfonts-traditional
utility=update-$(package)

install=install -o 0 -g 0

default: all

OWNFONT = 6x13O
SRCBDF = $(patsubst %, bdfsrc/%.bdf, $(OWNFONT))
GENPCF = $(patsubst %, good/%.pcf.gz, $(OWNFONT))
$(GENPCF): good/%.pcf.gz: bdfsrc/%.bdf
	bdftopcf <$< | gzip -9 >$@

all: $(GENPCF)
	mkdir -p rules/
	./mkrules <specs
	cp manual/*.rules rules/

install:
	perl -pe 's#^(our \$$prefix=").*("\;\s*)$$#$$1$(prefix)$$2#' \
		<$(utility) >$(utility).sedded
	$(install) -m755 -d $(DESTDIR)$(prefix)/{bin,share/{man/man8,$(package)/rules}}
	$(install) -m755 $(utility).sedded $(DESTDIR)$(prefix)/bin/$(utility)
	$(install) -m755 $(utility).8 $(DESTDIR)$(prefix)/share/man/man8/.
	$(install) -m644 rules/* $(DESTDIR)$(prefix)/share/$(package)/rules/

clean:
	rm -f rules/*.rules rules/foundries rules/foundries.new
	rm -f good/*.bdf bad/*.bdf
	rm -f $(GENPCF)
	rm -f *~ $(utility).sedded

=== debian/changelog ===
xfonts-traditional (1.6) unstable; urgency=low

  [ Camaleón <noelamac@gmail.com> ]
  * Spanish debconf translation.  Closes: #677156.

  [ Ian Jackson ]
  * Punctuation fix in English template, reported by Camaleón.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 14 Jun 2012 19:45:17 +0100

xfonts-traditional (1.5) unstable; urgency=low

  [ Ian Jackson ]
  * Minor improvements to description and debconf templates,
    following English l10n review.  Closes: #658416

  [ Christian Perrier ]
  * [Debconf translation updates]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #660965
  * [Debconf translation updates]
  * Polish (Michał Kułach).  Closes: #661479
  * Russian (Yuri Kozlov).  Closes: #661718
  * Danish (Joe Hansen).  Closes: #661742
  * Swedish (Martin Bagge / brother).  Closes: #661967
  * French (Julien Patriarca).  Closes: #662861
  * German (Chris Leick).  Closes: #662871
  * Italian (Beatrice Torracca).  Closes: #663425
  * Dutch; (Jeroen Schot).  Closes: #663557
  * Czech (Michal Simunek).  Closes: #663609
  * Portuguese (Miguel Figueiredo).  Closes: #663942

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 10 Jun 2012 22:00:02 +0100

=== debian/control ===
Source: xfonts-traditional
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Section: x11
Priority: optional
Standards-Version: 3.9.2.0
Build-Depends: xfonts-utils, pcf2bdf, debhelper (>=8), po-debconf

Package: xfonts-traditional
Architecture: all
Depends: xfonts-utils, pcf2bdf, libsys-cpu-perl, ${misc:Depends}, ${perl:Depends}
Description: Traditional fixed-width fonts for X
 Provides "traditional" versions of fixed-width fonts.
 .
 These are a set of 6x13 fonts (including "fixed"), with foundry name
 "trad" instead of "misc", with several glyphs replaced with earlier
 versions from before Markus Kuhn's changes:
  - balanced  ` '
  - less tall  [ ] ( ) { }
  - centred  *
  - high  ~
  - slightly higher  &
  - traditional appearance of  W a
 .
 These changes make the fonts compatible with the US-ASCII character
 set.  (UTF-8 is not compatible with ASCII in its usage of the
 backquote and some other characters.)  With these fonts, pre-2000
 documents (including ASCII art and GNU manuals) will render
 correctly.
 .
 Optionally, this package will edit your system configuration to make
 the default fonts used by xterm refer to the traditional font.
 .
 (This package does not actually contain the bulk of the font data;
 rather, it automatically generates the required modified fonts for
 each relevant font you have installed.)

## xfonts-traditional 1.7

=== debian/changelog ===
xfonts-traditional (1.7) unstable; urgency=low

  * Use interest-noawait to fix dpkg trigger cycle.  Closes: #772860.
    Thanks to report from Guillem Jover.

  [ victory <victory.deb@gmail.com> ]
  * Japanese debconf translation.  Closes: #692144.

  [ Adriano Rafael Gomes ]
  * Brazilian Portuguese debconf translation.  Closes: #770366.

  * Source package now contains .gitignore which git-buildpackage
    mistakenly had dpkg-source strip out.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 12 Dec 2014 00:20:18 +0000

## xfonts-traditional 1.7.1

=== debian/changelog ===
xfonts-traditional (1.7.1) unstable; urgency=low

  [ Camaleón <noelamac@gmail.com> ]
  * Spanish debconf translation update.  Closes: #669375.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 05 Jan 2015 14:39:53 +0000

## xfonts-traditional 1.8.0

=== debian/changelog ===
xfonts-traditional (1.8.0) unstable; urgency=medium

  Additional fonts:
  * Process `10x20' too.
  * Process `9x15' too.
  * Process Neep 6x13 and 10x20 too (for apostrophe only).

  Packaging improvements:
  * Document in Description that we process some other font sizes too.
  * In copyright file, more clearly annotate the two copyright files.
  * Updated Spanish debconf translation.  Closes:#792184.

  Processing system improvements:
  * mkrules keys the rules key off `bad' rather than `good' (since
    some fonts have different metrics before and after!)
  * mkrules can consume .bdf.direct, or .sfd files.
  * An internal error message in printrule is improved slightly.
  * Add debhelper-build-stamp to .gitignore.
  * Permit new foundry names to contain "."s.
  * Add bdf normaliser.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 24 Jan 2017 13:01:53 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: x11
 Priority: optional
 Standards-Version: 3.9.2.0
-Build-Depends: xfonts-utils, pcf2bdf, debhelper (>=8), po-debconf
+Build-Depends: xfonts-utils, pcf2bdf, debhelper (>=8), po-debconf, fontforge
 
 Package: xfonts-traditional
 Architecture: all
@@ -11,7 +11,7 @@
 Description: Traditional fixed-width fonts for X
  Provides "traditional" versions of fixed-width fonts.
  .
- These are a set of 6x13 fonts (including "fixed"), with foundry name
+ These are a set of fonts (including 6x13 "fixed"), with foundry name
  "trad" instead of "misc", with several glyphs replaced with earlier
  versions from before Markus Kuhn's changes:
   - balanced  ` '
@@ -20,6 +20,7 @@
   - high  ~
   - slightly higher  &
   - traditional appearance of  W a
+  - in 10x20, versions of ; : , . matching ` ' and each other
  .
  These changes make the fonts compatible with the US-ASCII character
  set.  (UTF-8 is not compatible with ASCII in its usage of the
@@ -27,6 +28,9 @@
  documents (including ASCII art and GNU manuals) will render
  correctly.
  .
+ Additionally, we provide ASCII-compatible versions of several Neep
+ fonts (replacing "jmk" with "trad.jmk" in the foundry name).
+ .
  Optionally, this package will edit your system configuration to make
  the default fonts used by xterm refer to the traditional font.
  .

## xfonts-traditional 1.8.0%2Bnmu1

=== debian/changelog ===
xfonts-traditional (1.8.0+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 12:42:01 +0100

## xfonts-traditional 1.8.0+nmu1

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	$(install) -m755 $(utility).sedded $(DESTDIR)$(prefix)/bin/$(utility)
 	$(install) -m755 $(utility).8 $(DESTDIR)$(prefix)/share/man/man8/.
 	$(install) -m644 rules/* $(DESTDIR)$(prefix)/share/$(package)/rules/
+	$(install) -m755 bdfnorm $(DESTDIR)$(prefix)/share/$(package)/
 
 clean:
 	rm -f rules/*.rules rules/foundries rules/foundries.new

=== debian/rules ===
#!/usr/bin/make -f

prefix=/usr
export prefix

%:
	dh $@

## xfonts-traditional 1.8.2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 package=xfonts-traditional
 utility=update-$(package)
 
-install=install -o 0 -g 0
+install=install
 
 default: all

=== debian/changelog ===
xfonts-traditional (1.8.2) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian team on Salsa

 -- Andreas Tille <tille@debian.org>  Sun, 15 Dec 2024 18:36:40 +0100

xfonts-traditional (1.8.1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Move package to Debian Fonts Task Force
    Closes: #1089975
  * Source format 3.0 (native)
  * Enable rootless build
    Closes: #1089475
  * Section: s/x11/fonts/
  * No first person in package description
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Use correct machine-readable copyright file URI.
  * Set Multi-Arch: foreign on package xfonts-traditional.
  * Fix lintian-overrides

  [ Remus-Gabriel Chelu ]
  * Romanian debconf templates translation
    Closes: #1033803

 -- Andreas Tille <tille@debian.org>  Fri, 13 Dec 2024 21:45:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: xfonts-traditional
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
-Section: x11
+Section: fonts
 Priority: optional
-Standards-Version: 3.9.2.0
-Build-Depends: xfonts-utils, pcf2bdf, debhelper (>=8), po-debconf, fontforge
+Standards-Version: 4.7.0
+Build-Depends: xfonts-utils, pcf2bdf, debhelper-compat (= 13), po-debconf, fontforge
+Vcs-Browser: https://salsa.debian.org/debian/xfonts-traditional
+Vcs-Git: https://salsa.debian.org/debian/xfonts-traditional.git
+Rules-Requires-Root: no
 
 Package: xfonts-traditional
 Architecture: all
 Depends: xfonts-utils, pcf2bdf, libsys-cpu-perl, ${misc:Depends}, ${perl:Depends}
+Multi-Arch: foreign
 Description: Traditional fixed-width fonts for X
  Provides "traditional" versions of fixed-width fonts.
  .
@@ -28,8 +32,8 @@
  documents (including ASCII art and GNU manuals) will render
  correctly.
  .
- Additionally, we provide ASCII-compatible versions of several Neep
- fonts (replacing "jmk" with "trad.jmk" in the foundry name).
+ Additionally, the package provides ASCII-compatible versions of several
+ Neep fonts (replacing "jmk" with "trad.jmk" in the foundry name).
  .
  Optionally, this package will edit your system configuration to make
  the default fonts used by xterm refer to the traditional font.

## xfonts-traditional 1.8.2build1

=== debian/changelog ===
xfonts-traditional (1.8.2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 21:55:01 +0100
